<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmButtonState Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmButtonState Enumeration

Visual Basic
C#
C++/CLI
States of a toolbar button; used in calls to IEdmAddInDrawButton5:DrawToolbarButton, IEdmCmdMgr5::AddToolbarImage, and IEdmMenu5::GetButtonImages.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmButtonState
       Inherits System.Enum

C# |
--- | ---

    public enum EdmButtonState : System.Enum

C++/CLI |
--- | ---

    public enum class EdmButtonState : public System.Enum

# Members

Member | Description
--- | ---
BState_Cold | 2 = Normal button display
BState_Disabled | 3 = Button is disabled
BState_Hot | 1 = Mouse cursor is hovering over the toolbar button; button should be highlighted

# See Also

####

EPDM.Interop.epdm Namespace